Bug 173785 - Need delay between ifup-wireless and checking link status
Summary: Need delay between ifup-wireless and checking link status
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL: N/A
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-21 05:27 UTC by Anton Solovyev
Modified: 2014-03-17 02:56 UTC (History)
2 users (show)

Fixed In Version: 8.38-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 18:29:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Anton Solovyev 2005-11-21 05:27:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050225 Firefox/1.0.1

Description of problem:
I have ipw2200 wireless card in a laptop. It takes some (though fairly short) time for the card to connect to the network when WEP is enabled.

The ifup script is written in such a way that it checks link status right after ifup-wireless is executed. In my case there is not enough time for the card to connect and the link status check that immediately follows in the code fails (on boot).

Version-Release number of selected component (if applicable):
initscripts-8.11.1-1

How reproducible:
Always

Steps to Reproduce:
1. Well...
2.
3.
  

Actual Results:  Wireless interface is not brought up on boot.

Expected Results:  The opposite.

Additional info:

I suggest letting user to insert a delay in the very end of the ifup-wireless. A variable in ifcfg-ethX would be fine.

Comment 1 Bill Nottingham 2006-08-07 18:29:57 UTC
Current rawhide initscripts has a LINKDELAY parameter which may solve this for you.


Note You need to log in before you can comment on or make changes to this bug.